## checkbox 0.18-0ubuntu2

=== debian/changelog ===
checkbox (0.18-0ubuntu2) utopic; urgency=medium

  * setup.py: Only build the checkbox-old subdirectory, as nothing else
    is required for this package. This avoids a build-depends on
    python3-checkbox-support which is required by checkbox-ng (which we then
    don't package).
  * debian/rules: Per the above, don't run tests for plainbox or checkbox-ng.

 -- Daniel Manrique <roadmr@ubuntu.com>  Wed, 20 Aug 2014 15:54:21 -0400

checkbox (0.18-0ubuntu1) utopic; urgency=medium

  * New upstream release

  * Launchpad automatic translations update.

  [ Yung Shen ]
  * make "success" as a "updater" property so can use in other dialog

  [ Zygmunt Krynicki ]
  * checkbox-gui: fix my own copy-paste mistake
  * checkbox-gui: debugging for FilteredJobs()
  * checkbox-gui: fix resource jobs (and other jobs) to run This patch
    removes the useless (and broken) second-level filtering done by
    PrepareJobs(). (LP: #1302388)
  * checkbox-gui:gui-engine: correct copy-pasted mistake
  * checkbox-gui:testitemmodel: rewrite GetSelectedVisibleJobs This
    patch cleans up the horrid coding style, needless whitespace
    needless local variables and improves the diagnostic messages for,
    hopefully, better readability. The algorithm is identical as
    before.
  * checkbox-gui:testitemmodel: rewrite GetSelectedRerunJobs This
    patch cleans up the horrid coding style, needless whitespace
    needless local variables and improves the diagnostic messages for,
    hopefully, better readability. The algorithm is identical as
    before.
  * checkbox-gui:testitemmodel: rewrite GetSelectedRealJobs This patch
    cleans up the horrid coding style, needless whitespace needless
    local variables and improves the diagnostic messages for,
    hopefully, better readability. The algorithm is identical as
    before.
  * checkbox-gui:testitemmodel: use partial_id for logging
  * checkbox-gui:testitemmodel: store partial_id
  * checkbox-gui:testitemmodel: remove useless variable 'human'
  * checkbox-gui: KHAAAAAAAAAAAAAAAAAAAAN This patch removes William-
    Shatner-Kirk-style pauses between every other ... line for better
    readability, as I hope you agree.
  * checkbox-gui: display resource jobs as if they were normal jobs
    This patch changes TestItemModel::GetSelectedVisibleJobs() not to
    treat resource jobs in any special way. In fact, after the removal
    of the resource job check the function has no special behavior of
    any kind.
  * checkbox-gui: re-run resource jobs as if they were normal jobs
    This patch changes TestItemModel::GetSelectedRerunJobs not to
    treat resource jobs in any special way. This allows them to be re-
    run on demand.
  * checkbox-gui: run resource jobs as if they were normal jobs This
    patch changes TestItemModel::GetSelectedRealJobs() not to treat
    resource jobs in any special way. The function still treats local
    jobs specially though. (LP: #1302388)
  * checkbox-gui: treat 'resource' jobs as human-visible
  * checkbox-gui: more missing i18n (though ugly)
  * chcekbox-gui: fix typos
  * checkbox-gui: fix job type comparison. This patch changes how
    setListSummary() counts manual vs other type of tests. (LP: #1319327)
  * checkbox-gui: treat user-interact-verify as as manual (LP: #1319347)
  * checkbox-gui:gui-engine: add support for app_id

  [ Brendan Donegan ]
  * checkbox-gui: Display summary where possible, otherwise partial_id
    To make the UI of plainbox based tools consistent, let's use
    summary when displaying jobs. However these is currently no
    guarantee summary is there for any particular job, so we need to
    fall back to using partial_id. To keep behaviour consistent, local
    jobs should fall back to using description instead of partial_id.
  * checkbox-gui: Allow user to save both XML and XLSX reports to
    preffered location Add to the SubmissionDialog an OptionSelector
    and a Button, containing the option to save either the XML or the
    XLSX format report to a user-specified location.
  * checkbox-gui: move save of reports to when the test run finishes
  * checkbox-gui: Export submission as XLSX file as well
  * checkbox-gui: Use partial_id for job names in UI
  * checkbox-gui: Submit to Launchpad Update SubmissionDialog.qml to
    make sending to Launchpad the default behaviour, and add a
    SendSubmissionViaLaunchpadTransport function to do this. Update
    SendDataViaTransport to accept the session object which is needed
    by the transport.
  * checkbox-gui: Customise the SubmissionDialog component according
    to settings Use a settings file to customise the behaviour of the
    SubmissionDialog component. Also implement the Certification
    transport so that we can send submissions to
    certification.canonical.com
  * checkbox-gui: Implement whitelist ordering Refactor the logic used
    by checkbox-gui to select which jobs to run. Instead of manually
    cross-referencing the jobs available with the whitelists selected,
    use SelectJobs to do the same thing, but guarantee the jobs are
    returned in whitelist order. Also slightly tweak some bits of code
    so that this order is always retained throughout the process, up
    until the final run list is generated.

  [ Sylvain Pineau ]
  * checkbox-gui:gui-engine: Restore whitelist ordering Using the test
    selection as the mask for the desired job list. (The same sort of
    fix applied to checkbox-ng) (LP: #1323201)
  * checkbox-gui:gui-engine: Does not assume that the failed job is
    the first one in the rerun list When resuming a session, the
    running job saved in session meta data can be set as failed. To
    avoid rerunning it, let's not assume it comes first in the rerun
    list.
  * checkbox-gui:gui-engine.cpp: Call RefreshPBObjects() when resuming
    a session (LP: #1315337)
  * checkbox-gui:qml:SubmissionDialog: Enable all xlsx export options
    by default - System Info - Test Results - Test descriptions -

