=== debian/changelog ===
checkbox (0.18-0ubuntu3) wily; urgency=medium

  * debian/patches/fix-lp1483410-part1: Correct the method of loading unit
    tests so that package modules are not loaded as top-level modules
    themselves.  (Closes LP: #1483410)
  * debian/patches/fix-lp1483410-part2: Iterate over a copy of dictionary keys
    so that the loop can correctly remove elements without raising exceptions.
  * debian/control: build-depend on python3-dbus and python3-gi as apparently
    tests are importing modules that depend on those.

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Mon, 07 Sep 2015 17:49:56 +0200
