=== debian/changelog ===
checkbox (1.2.4-0ubuntu1) xenial; urgency=medium

  [Sylvain Pineau]
  * New upstream release from the checkbox-converged source tarball.
  * checkbox-converged is now used for desktop instead of checkbox-gui.
  * checkbox-old is removed from source.
  * Transitional packages for checkbox, checkbox-cli, checkbox-qt and
    checkbox-gui.

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Mon, 11 Jan 2016 21:11:59 +0100

checkbox (0.18-0ubuntu4) xenial; urgency=high

  * Do not modify OrderedDict whilst iterating it, wrap in list.
  * Work around setuptools foobarage w.r.t. test discovery (tries to
    import submodule instead of a system one), and use unittest directly.
  * Drop qt5 3d, demoted to universe.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2015 14:58:48 +0000
