=== debian/control ===
Source: checkbox
Section: oldlibs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Checkbox Developers <checkbox-devel@lists.ubuntu.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9.2)
Vcs-Bzr: https://code.launchpad.net/~checkbox-dev/checkbox/trunk

Package: checkbox-converged
Architecture: all
Depends: plainbox-provider-checkbox,
         pyotherside,
         python3,
         python3-plainbox (>= 0.24),
         qml-module-qtquick-layouts,
         qmlscene,
         qtdeclarative5-dev-tools,
         qtdeclarative5-test-plugin,
         qtdeclarative5-ubuntu-ui-toolkit-plugin,
         ${misc:Depends}
Description: testing tool for all Ubuntu devices
 This tool helps to test devices ranging from desktops to phones.

Package: checkbox
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, python3-checkbox-ng
Description: System testing application (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: checkbox-cli
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, checkbox-ng
Description: Command line interface for checkbox (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: checkbox-qt
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, checkbox-converged
Description: QT4 interface for checkbox (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: checkbox-gui
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, checkbox-converged
Description: QML based interface for checkbox (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.
