=== debian/rules ===
#!/usr/bin/make -f
export LANG=
export LANGUAGE=

%:
	dh $@

override_dh_auto_test:
	:
