=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
    http://launchpad.net/checkbox-converged/+download/ \
    https://launchpad\.net/checkbox-converged/.*/.*/\+download/checkbox-converged-(.*).tar.gz
